VarianceOption Class Reference
Financial instruments

Variance option. More...

`#include <ql/experimental/varianceoption/varianceoption.hpp>`

Inheritance diagram for VarianceOption:
[legend]

## Classes

class | arguments
| Arguments for forward fair-variance calculation More...
class | engine
| base class for variance-option engines More...
class | results
| Results from variance-option calculation More...

## Public Member Functions

| VarianceOption (const ext::shared_ptr< Payoff > &payoff, Real notional, const Date &startDate, const Date &maturityDate)
Instrument interface
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
Public Member Functions inherited from Instrument
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const ext::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
virtual void | fetchResults (const PricingEngine::results *) const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Inspectors

ext::shared_ptr< Payoff > | payoff_
Real | notional_
Date | startDate_
Date | maturityDate_
Date | startDate () const
Date | maturityDate () const
Real | notional () const
ext::shared_ptr< Payoff > | payoff () const
void | setupArguments (PricingEngine::arguments *args) const

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | setupExpired () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Instrument
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
ext::shared_ptr< PricingEngine > | engine_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Variance option.

Warning:
  This class does not manage seasoned variance options.

## Member Function Documentation

## setupArguments()

void setupArguments | ( | PricingEngine::arguments * |  | ) | const

virtual

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.